Bug 1413851 - [RFE] OpenSCAP download full report XML is not usable, include the html or PDF report.
Summary: [RFE] OpenSCAP download full report XML is not usable, include the html or PD...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: SCAP Plugin
Version: 6.2.6
Hardware: All
OS: Linux
medium
medium vote
Target Milestone: Unspecified
Assignee: Ondřej Pražák
QA Contact: Marek Hulan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-17 06:55 UTC by dgupte
Modified: 2020-09-10 10:07 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 12:37:44 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 18100 Normal Closed OpenSCAP download full report in html or PDF 2020-08-15 05:47:58 UTC
Red Hat Product Errata RHSA-2018:0336 normal SHIPPED_LIVE Important: Satellite 6.3 security, bug fix, and enhancement update 2018-02-21 22:43:42 UTC

Comment 2 Ondřej Pražák 2017-01-17 08:02:30 UTC
Created redmine issue http://projects.theforeman.org/issues/18100 from this bug

Comment 4 Ondřej Pražák 2017-01-17 08:20:57 UTC
I cloned this upstream as RFE for report download in html or pdf.

What exactly do you mean by 'XML is not usable'? Is it that customer has no use case for it (as mentioned in 3. of Description) or that it can't be read because of technical difficulties (corrupted format...)? Note that missing .xml in file name does not prevent from reading the file, but I suppose we could add it as well. The following currently works for me:

1) download XML in bzip through UI
2) bunzip2 xyz_arf_report.bz2
3) vim xyz_arf_report

We added the XML download after consulting with OpenSCAP guys, the said someone may need them for further machine processing.

Comment 10 pm-sat@redhat.com 2017-02-23 13:07:12 UTC
Upstream bug assigned to oprazak@redhat.com

Comment 11 pm-sat@redhat.com 2017-02-23 13:07:17 UTC
Upstream bug assigned to oprazak@redhat.com

Comment 12 pm-sat@redhat.com 2017-03-02 17:07:07 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/18100 has been resolved.

Comment 16 errata-xmlrpc 2018-02-21 12:37:44 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.